function init() {
  window.dynamicContent = document.getElementById('content'); // The div to replace the image into.
  window.clickUrl = undefined; // the global variable to store the url from mapping. 'undefined' during init process.
  window.companyName = undefined;  // the global variable to store the company name. 'undefined' during init process.

  setupAd();
  var xhr = new XMLHttpRequest();
  xhr.withCredentials = true;
  xhr.addEventListener("readystatechange", function () {
    addListeners(); // Adding click listener to content; to handle click redirects
    if (this.readyState == 4) { // After we get the response.
        goAd();
      if (this.status === 200){ // if we get the success response
        res = JSON.parse(this.responseText); // this is how you parse the response from company details api
        companyName = res.company.name;
        if(companyName) {
	    appendCompanyName();
	}
      }
    }
  });
  xhr.open("GET", "https://epsilon.6sense.com/v1/company/details"); // The actual call made to company details api
  xhr.setRequestHeader("Authorization", "Token e7d500efadaed7ba329de0cee897c87b233f557e"); // The company details api-token (provided by 6sense) goes here.
  // xhr.setRequestHeader("X-Forwarded-For", "86.171.167.105"); //To test your HTML5 ad uncomment this line and put the appropiate ip address for the account you want to test
  xhr.timeout = 5000; // ideal to wait for 5 seconds
  xhr.send(); // The call starts here.
}

function addListeners() {
	dynamicContent.addEventListener('click', clickEventHandler, false);
}

function clickEventHandler(e) { // function that redirects to landing page url. We get the landing page url from APPNEXUS library.
  var clickTag = APPNEXUS.getClickTag();
  window.open(clickTag);
}
